/* TCHK 0.50 - Howard Kapustein's Turbo C library     11-18-87 */
/* Copyright (C) 1987, Howard Kapustein.  All rights reserved. */

/* keycode.h  -  header file containing key code definitions */

#ifndef KEYCODEDEF

/* define shift status codes */
#define RSHIFT          0x01
#define LSHIFT          0x02
#define CTRL            0x04
#define ALT             0x08
#define SCROLLLOCK      0x10
#define NUMLOCK         0x20
#define CAPSLOCK        0x40
#define INS             0x80

/* define special codes */
#define F1          315
#define F2          316
#define F3          317
#define F4          318
#define F5          319
#define F6          320
#define F7          321
#define F8          322
#define F9          323
#define F10         324
#define SHIFT_F1         340
#define SHIFT_F2         341
#define SHIFT_F3         342
#define SHIFT_F4         343
#define SHIFT_F5         344
#define SHIFT_F6         345
#define SHIFT_F7         346
#define SHIFT_F8         347
#define SHIFT_F9         348
#define SHIFT_F10        349
#define CTRL_F1         350
#define CTRL_F2         351
#define CTRL_F3         352
#define CTRL_F4         353
#define CTRL_F5         354
#define CTRL_F6         355
#define CTRL_F7         356
#define CTRL_F8         357
#define CTRL_F9         358
#define CTRL_F10        359
#define ALT_F1         360
#define ALT_F2         361
#define ALT_F3         362
#define ALT_F4         363
#define ALT_F5         364
#define ALT_F6         365
#define ALT_F7         366
#define ALT_F8         367
#define ALT_F9         368
#define ALT_F10        369
#define ALT_1       376
#define ALT_2       377
#define ALT_3       378
#define ALT_4       379
#define ALT_5       380
#define ALT_6       381
#define ALT_7       382
#define ALT_8       383
#define ALT_9       384
#define ALT_0       385
#define ALT_HYPHEN  386
#define ALT_EQUAL   387
#define ALT_Q       272
#define ALT_W       273
#define ALT_E       274
#define ALT_R       275
#define ALT_T       276
#define ALT_Y       277
#define ALT_U       278
#define ALT_I       279
#define ALT_O       280
#define ALT_P       281
#define ALT_A       286
#define ALT_S       287
#define ALT_D       288
#define ALT_F       289
#define ALT_G       290
#define ALT_H       291
#define ALT_J       292
#define ALT_K       293
#define ALT_L       294
#define ALT_Z       300
#define ALT_X       301
#define ALT_C       302
#define ALT_V       303
#define ALT_B       304
#define ALT_N       305
#define ALT_M       306

#define BACKSPACE   8
#define ENTER       13
#define ESC         27
#define SPACEBAR    32
#define TAB         9
#define SHIFT_TAB   271

#define HOME        327
#define UPARROW     328
#define PGUP        329
#define LEFTARROW   331
#define RIGHTARROW  333
#define END         335
#define DOWNARROW   336
#define PGDN        337
#define INSERT      338
#define DELETE      339

#define CTRL_PRTSC  370
#define CTRL_LEFT   371
#define CTRL_RIGHT  372
#define CTRL_END    373
#define CTRL_PGDN   374
#define CTRL_HOME   375
#define CTRL_PGUP   388

#define CTRL_A      1
#define CTRL_B      2
#define CTRL_C      3
#define CTRL_D      4
#define CTRL_E      5
#define CTRL_F      6
#define CTRL_G      7
#define CTRL_H      8
#define CTRL_I      9
#define CTRL_J      10
#define CTRL_K      11
#define CTRL_L      12
#define CTRL_M      13
#define CTRL_N      14
#define CTRL_O      15
#define CTRL_P      16
#define CTRL_Q      17
#define CTRL_R      18
#define CTRL_S      19
#define CTRL_T      20
#define CTRL_U      21
#define CTRL_V      22
#define CTRL_W      23
#define CTRL_X      24
#define CTRL_Y      25
#define CTRL_Z      26

#define KEYCODEDEF 1

#endif
